Bug 293041 - Need 64-bit network byte counters
Need 64-bit network byte counters
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Neil Horman
Martin Jenner
:
Depends On:
Blocks: 253399 477090 492391 704410
  Show dependency treegraph
 
Reported: 2007-09-17 06:44 EDT by Jan Safranek
Modified: 2011-05-12 23:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 492391 (view as bug list)
Environment:
Last Closed: 2007-12-03 11:21:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2007-09-17 06:44:49 EDT
Description of problem:
Kernel provides various packet counters in /proc/net/snmp, /proc/net/snmp6 and
/proc/net/dev_snmp6/*. DoD requires also count of incoming/outgoing octets, namely:
InOctets - nr. of all incoming ipv4/ipv6 bytes
OutOctets - nr. of all outgoing ipv4/ipv6 bytes
InMcastOctets - nr. of incoming multicast bytes
OutMcastOctets - nr. of outgoing multicast bytes

The counters must be separate for ipv4 and ipv6 (-> ethtool statistics are not
good enough) and separate per interface (like /proc/net/dev_snmp6/*).

The counters should be 64-bit.
Comment 3 Neil Horman 2007-12-03 11:21:16 EST
I've been looking over this, and as we've discussed before, theres just no way
to implement this in RHEL5 in any sort of consistent fashion without breaking
ABI pretty horribly.  Setting to CANTFIX
Comment 4 Lawrence Lim 2009-03-25 02:36:42 EDT
llim->nhorman: didn't realised it was so long ago. we have a similar issue with MIB which require this feature. is it still not an option to fix it?

Bug 477090 -  [TAHI] IP-MIB IP Statistics Table ipSystemStatsInOctets Counting Test failed on RFC4293 
<https://bugzilla.redhat.com/show_bug.cgi?id=477090>
Comment 5 Neil Horman 2009-03-25 07:01:39 EDT
Yeah, I'm afraid so.  Apologies.
Comment 6 Lawrence Lim 2009-03-25 14:45:11 EDT
I see. How about RHEL6? Can it be looked at in Fedora?

Note You need to log in before you can comment on or make changes to this bug.